
// reducer for screen redirection

// extracted from app.js to prevent redux rehydrate resetting redirect data

import {
	SHOW_ACTIVITY,
} from '~/store/actionTypes';
// import _ from 'lodash';

export const initialState = {
	pushView: {},
};

export const redirect = (state = initialState, action) => {
	switch (action.type) {
		case SHOW_ACTIVITY:
			return { ...state, pushView: action.payload };
		default:
			return state;
	}
};
